> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.placementmode.md).

# PlacementMode

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Determines the algorithm to use to calculate the position of the popup.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum PlacementMode : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum PlacementMode As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name          | Description                                                                                                                        |
| ------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| **BestFit**   | Places the popup according to the specified alignment adjusting the location when the parts of popup are out of the visible range. |
| **Direct**    | Places the popup using the specified alignment without changes.                                                                    |
| **KeepAlign** | If parts of the popup are outside of the visible range, the popup is placed at the best alignment position.                        |

## Used By

| Name                                                                                        | Description                                                                                                                                                                            |
| ------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [UserPopup.PlacementModeX](/api/wisej.web/containers/wisej.web.userpopup.md#placementmodex) | Returns or sets the method used to calculate the position of the popup according to the value of the [Alignment](/api/wisej.web/containers/wisej.web.userpopup.md#alignment) property. |
| [UserPopup.PlacementModeY](/api/wisej.web/containers/wisej.web.userpopup.md#placementmodey) | Returns or sets the method used to calculate the position of the popup according to the value of the [Alignment](/api/wisej.web/containers/wisej.web.userpopup.md#alignment) property. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.placementmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
